{% extends 'base.html' %}

{% block title %}
{% endblock title %}

{% block content %}
<div>
    <h1>{{ todo_list.name }}</h1>
    <p><a href="{% url "todo_list_update" todo_list.id %}">Edit</a></p>
    <p><a href="{% url "todo_list_delete" todo_list.id %}">Delete</a></p>
    <h2>Tasks</h2>
    <table>
        <thead>
            <tr>
                <th>Task</th>
                <th>Due date</th>
            </tr>
        </thead>
        <tbody>
            {{todo_list.name}}
            {% for todo_list in todo_list.items.all %}
            <tr>
                <td>
                    <a href="{% url "todo_item_update" todo_list.id %}">
                    {{ todo_list.task }}
                    </a>
                </td>
                <td>{{ todo_list.due_date|date:"M d, Y" }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock content %}
